twitter4j.auth

## Interface AuthorizationConfiguration

All Known Subinterfaces:
  Configuration

All Known Implementing Classes:
  PropertyConfiguration

    public interface AuthorizationConfiguration

A static factory class for Authorization.

Since:
  Twitter4J 2.1.1
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getOAuth2AccessToken()`
`String` `getOAuth2TokenType()`
`String` `getOAuthAccessToken()`
`String` `getOAuthAccessTokenSecret()`
`String` `getOAuthConsumerKey()`
`String` `getOAuthConsumerSecret()`
`String` `getPassword()`
`String` `getUser()`

### Method Detail

#### getUser

    String getUser()

#### getPassword

    String getPassword()

#### getOAuthConsumerKey

    String getOAuthConsumerKey()

#### getOAuthConsumerSecret

    String getOAuthConsumerSecret()

#### getOAuthAccessToken

    String getOAuthAccessToken()

#### getOAuthAccessTokenSecret

    String getOAuthAccessTokenSecret()

#### getOAuth2TokenType

    String getOAuth2TokenType()

#### getOAuth2AccessToken

    String getOAuth2AccessToken()